# -*- coding: UTF-8 -*-
# Copyright 2014 Luc Saffre
# This file is part of the commondata library.
# The commondata library is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
# The commondata library is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with the commondata library; if not, see
# <http://www.gnu.org/licenses/>.


from __future__ import unicode_literals


def populate(pg):

    pg.set_args('fr nl de en')
    pg.province(
        "Flandre de l'Est", "Oost-Vlaanderen", "Ostflandern")

    pg.set_args('zip_code fr nl de en')
    
    pg.city("9300", "Alost", "Aalst", "Aalst")
    pg.village("9308", "Gijzegem", "", "", "")
    pg.village("9310", "Baardegem ", "", "", "")
    pg.village("9320", "Erembodegem", "", "", "")
    pg.village("9310", "Herdersem", "", "", "")
    pg.village("9308", "Hofstade", "", "", "")
    pg.village("9310", "Meldert", "", "", "")
    pg.village("9320", "Nieuwerkerken", "", "", "")
    pg.village("9310", "Moorsel", "", "", "")

    pg.city("9000", "Gand", "Gent", "Gent", "Gent")
    pg.city("9030", "Mariakerke (Gent)", "", "", "")
    pg.city("9031", "Drongen", "", "", "")
    pg.city("9032", "Wondelgem", "", "", "")
    pg.city("9040", "Sint-Amandsberg", "", "", "")
    pg.city("9041", "Oostakker", "", "", "")
    pg.city("9042", "Mendonk", "", "", "")
    pg.city("9042", "Sint-Kruis-Winkel", "", "", "")
    pg.city("9050", "Gentbrugge", "", "", "")
    pg.city("9050", "Ledeberg (Gent)", "", "", "")
    pg.city("9051", "Afsnee", "", "", "")
    pg.city("9051", "Sint-Denijs-Westrem", "", "", "")
    pg.city("9052", "Zwijnaarde", "", "", "")
    pg.city("9060", "Zelzate", "", "", "")
    pg.city("9070", "Destelbergen", "", "", "")
    pg.city("9070", "Heusden (O.-Vl.)", "", "", "")
    pg.city("9080", "Beervelde", "", "", "")
    pg.city("9080", "Lochristi", "", "", "")
    pg.city("9080", "Zaffelare", "", "", "")
    pg.city("9080", "Zeveneken", "", "", "")
    pg.city("9090", "Gontrode", "", "", "")
    pg.city("9090", "Melle", "", "", "")
    pg.city("9100", "Nieuwkerken-Waas", "", "", "")
    pg.city("9100", "Saint-Nicolas", "Sint-Niklaas", "Saint-Nicolas", "Saint-Nicolas")
    pg.city("9111", "Belsele", "", "", "")
    pg.city("9112", "Sinaai-Waas", "", "", "")
    pg.city("9120", "Beveren-Waas", "", "", "")
    pg.city("9120", "Haasdonk", "", "", "")
    pg.city("9120", "Kallo (Beveren-Waas)", "", "", "")
    pg.city("9120", "Melsele", "", "", "")
    pg.city("9120", "Vrasene", "", "", "")
    pg.city("9130", "Doel", "", "", "")
    pg.city("9130", "Kallo (Kieldrecht)", "", "", "")
    pg.city("9130", "Kieldrecht (Beveren)", "", "", "")
    pg.city("9130", "Verrebroek", "", "", "")
    pg.city("9140", "Elversele", "", "", "")
    pg.city("9140", "Steendorp", "", "", "")
    pg.city("9140", "Temse", "", "", "")
    pg.city("9140", "Tielrode", "", "", "")
    pg.city("9150", "Bazel", "", "", "")
    pg.city("9150", "Kruibeke", "", "", "")
    pg.city("9150", "Rupelmonde", "", "", "")
    pg.city("9160", "Daknam", "", "", "")
    pg.city("9160", "Eksaarde", "", "", "")
    pg.city("9160", "Lokeren", "", "", "")
    pg.city("9170", "De Klinge", "", "", "")
    pg.city("9170", "Meerdonk", "", "", "")
    pg.city("9170", "Sint-Gillis-Waas", "", "", "")
    pg.city("9170", "Sint-Pauwels", "", "", "")
    pg.city("9180", "Moerbeke-Waas", "", "", "")
    pg.city("9185", "Wachtebeke", "", "", "")
    pg.city("9190", "Kemzeke", "", "", "")
    pg.city("9190", "Stekene", "", "", "")
    pg.city("9200", "Appels", "", "", "")
    pg.city("9200", "Baasrode", "", "", "")
    pg.city("9200", "Dendermonde", "", "", "")
    pg.city("9200", "Grembergen", "", "", "")
    pg.city("9200", "Mespelare", "", "", "")
    pg.city("9200", "Oudegem", "", "", "")
    pg.city("9200", "Schoonaarde", "", "", "")
    pg.city("9200", "St-Gillis-bij-Dendermonde", "", "", "")
    pg.city("9220", "Hamme (O.-Vl.)", "", "", "")
    pg.city("9220", "Moerzeke", "", "", "")
    pg.city("9230", "Massemen", "", "", "")
    pg.city("9230", "Westrem", "", "", "")
    pg.city("9230", "Wetteren", "", "", "")
    pg.city("9240", "Zele", "", "", "")
    pg.city("9250", "Waasmunster", "", "", "")
    pg.city("9255", "Buggenhout", "", "", "")
    pg.city("9255", "Opdorp", "", "", "")
    pg.city("9260", "Schellebelle", "", "", "")
    pg.city("9260", "Serskamp", "", "", "")
    pg.city("9260", "Wichelen", "", "", "")
    pg.city("9270", "Kalken", "", "", "")
    pg.city("9270", "Laarne", "", "", "")
    pg.city("9280", "Denderbelle", "", "", "")
    pg.city("9280", "Lebbeke", "", "", "")
    pg.city("9280", "Wieze", "", "", "")
    pg.city("9290", "Berlare", "", "", "")
    pg.city("9290", "Overmere", "", "", "")
    pg.city("9290", "Uitbergen", "", "", "")
    pg.city("9340", "Impe", "", "", "")
    pg.city("9340", "Lede", "", "", "")
    pg.city("9340", "Oordegem", "", "", "")
    pg.city("9340", "Smetlede", "", "", "")
    pg.city("9340", "Wanzele", "", "", "")
    pg.city("9400", "Appelterre-Eichem", "", "", "")
    pg.city("9400", "Denderwindeke", "", "", "")
    pg.city("9400", "Lieferinge", "", "", "")
    pg.city("9400", "Nederhasselt", "", "", "")
    pg.city("9400", "Ninove", "", "", "")
    pg.city("9400", "Okegem", "", "", "")
    pg.city("9400", "Voorde", "", "", "")
    pg.city("9401", "Pollare", "", "", "")
    pg.city("9402", "Meerbeke", "", "", "")
    pg.city("9403", "Neigem", "", "", "")
    pg.city("9404", "Aspelare", "", "", "")
    pg.city("9406", "Outer", "", "", "")
    pg.city("9420", "Aaigem", "", "", "")
    pg.city("9420", "Bambrugge", "", "", "")
    pg.city("9420", "Burst", "", "", "")
    pg.city("9420", "Erondegem", "", "", "")
    pg.city("9420", "Erpe", "", "", "")
    pg.city("9420", "Erpe-Mere", "", "", "")
    pg.city("9420", "Mere", "", "", "")
    pg.city("9420", "Ottergem", "", "", "")
    pg.city("9420", "Vlekkem", "", "", "")
    pg.city("9450", "Denderhoutem", "", "", "")
    pg.city("9450", "Haaltert", "", "", "")
    pg.city("9450", "Heldergem", "", "", "")
    pg.city("9451", "Kerksken", "", "", "")
    pg.city("9470", "Denderleeuw", "", "", "")
    pg.city("9472", "Iddergem", "", "", "")
    pg.city("9473", "Welle", "", "", "")
    pg.city("9500", "Goeferdinge", "", "", "")
    pg.city("9500", "Moerbeke", "", "", "")
    pg.city("9500", "Nederboelare", "", "", "")
    pg.city("9500", "Onkerzele", "", "", "")
    pg.city("9500", "Ophasselt", "", "", "")
    pg.city("9500", "Overboelare", "", "", "")
    pg.city("9500", "Viane", "", "", "")
    pg.city("9500", "Zarlardinge", "", "", "")
    pg.city("9500", "Grammont", "Geraardsbergen", "Grammont")
    pg.city("9506", "Grimminge", "", "", "")
    pg.city("9506", "Idegem", "", "", "")
    pg.city("9506", "Nieuwenhove", "", "", "")
    pg.city("9506", "Schendelbeke", "", "", "")
    pg.city("9506", "Smeerebbe-Vloerzegem", "", "", "")
    pg.city("9506", "Waarbeke", "", "", "")
    pg.city("9506", "Zandbergen", "", "", "")
    pg.city("9520", "Bavegem", "", "", "")
    pg.city("9520", "Oomb.(St-Lievens-Houtem)", "", "", "")
    pg.city("9520", "Vlierzele", "", "", "")
    pg.city("9520", "Zonnegem", "", "", "")
    pg.city(
        "9520", "Hautem-Saint-Liévin",
        "Sint-Lievens-Houtem", "Sint-Lievens-Houtem")
    pg.city("9521", "Letterhoutem", "", "", "")
    pg.city("9550", "Herzele", "", "", "")
    pg.city("9550", "Hillegem", "", "", "")
    pg.city("9550", "Sint-Antelinks", "", "", "")
    pg.city("9550", "Sint-Lievens-Esse", "", "", "")
    pg.city("9550", "Steenhuize-Wijnhuize", "", "", "")
    pg.city("9550", "Woubrechtegem", "", "", "")
    pg.city("9551", "Ressegem", "", "", "")
    pg.city("9552", "Borsbeke", "", "", "")
    pg.city("9570", "Deftinge", "", "", "")
    pg.city("9570", "Lierde", "", "", "")
    pg.city("9570", "Sint-Maria-Lierde", "", "", "")
    pg.city("9571", "Hemelveerdegem", "", "", "")
    pg.city("9572", "Sint-Martens-Lierde", "", "", "")
    pg.city("9600", "Renaix", "", "", "")
    pg.city("9600", "Ronse", "", "", "")
    pg.city("9620", "Elene", "", "", "")
    pg.city("9620", "Erwetegem", "", "", "")
    pg.city("9620", "Godveerdegem", "", "", "")
    pg.city("9620", "Grotenberge", "", "", "")
    pg.city("9620", "Leeuwergem", "", "", "")
    pg.city("9620", "Oombergen (Zottegem)", "", "", "")
    pg.city("9620", "Sint-Goriks-Oudenhove", "", "", "")
    pg.city("9620", "St-Maria-Oudenhove(Zott.)", "", "", "")
    pg.city("9620", "Strijpen", "", "", "")
    pg.city("9620", "Velzeke-Ruddershove", "", "", "")
    pg.city("9620", "Zottegem", "", "", "")
    pg.city("9630", "Beerlegem", "", "", "")
    pg.city("9630", "Dikkele", "", "", "")
    pg.city("9630", "Hundelgem", "", "", "")
    pg.city("9630", "Meilegem", "", "", "")
    pg.city("9630", "Munkzwalm", "", "", "")
    pg.city("9630", "Paulatem", "", "", "")
    pg.city("9630", "Roborst", "", "", "")
    pg.city("9630", "Rozebeke", "", "", "")
    pg.city("9630", "Sint-Blasius-Boekel", "", "", "")
    pg.city("9630", "Sint-Denijs-Boekel", "", "", "")
    pg.city("9630", "Sint-Maria-Latem", "", "", "")
    pg.city("9630", "Zwalm", "", "", "")
    pg.city("9636", "Nederzwalm-Hermelgem", "", "", "")
    pg.city("9660", "Brakel", "", "", "")
    pg.city("9660", "Elst", "", "", "")
    pg.city("9660", "Everbeek", "", "", "")
    pg.city("9660", "Michelbeke", "", "", "")
    pg.city("9660", "Nederbrakel", "", "", "")
    pg.city("9660", "Opbrakel", "", "", "")
    pg.city("9660", "St-Maria-Oudenhove(Brakel)", "", "", "")
    pg.city("9660", "Zegelsem", "", "", "")
    pg.city("9661", "Parike", "", "", "")
    pg.city("9667", "Horebeke", "", "", "")
    pg.city("9667", "Sint-Kornelis-Horebeke", "", "", "")
    pg.city("9667", "Sint-Maria-Horebeke", "", "", "")
    pg.city("9680", "Etikhove", "", "", "")
    pg.city("9680", "Maarkedal", "", "", "")
    pg.city("9680", "Maarke-Kerkem", "", "", "")
    pg.city("9681", "Nukerke", "", "", "")
    pg.city("9688", "Schorisse", "", "", "")
    pg.city("9690", "Berchem (O.-Vl.)", "", "", "")
    pg.city("9690", "Kluisbergen", "", "", "")
    pg.city("9690", "Kwaremont", "", "", "")
    pg.city("9690", "Ruien", "", "", "")
    pg.city("9690", "Zulzeke", "", "", "")
    pg.city("9700", "Bevere", "", "", "")
    pg.city("9700", "Edelare", "", "", "")
    pg.city("9700", "Eine", "", "", "")
    pg.city("9700", "Ename", "", "", "")
    pg.city("9700", "Heurne", "", "", "")
    pg.city("9700", "Leupegem", "", "", "")
    pg.city("9700", "Mater", "", "", "")
    pg.city("9700", "Melden", "", "", "")
    pg.city("9700", "Mullem", "", "", "")
    pg.city("9700", "Nederename", "", "", "")
    pg.city("9700", "Ooike (Oudenaarde)", "", "", "")
    pg.city("9700", "Oudenaarde", "", "", "")
    pg.city("9700", "Volkegem", "", "", "")
    pg.city("9700", "Welden", "", "", "")
    pg.city("9750", "Huise", "", "", "")
    pg.city("9750", "Ouwegem", "", "", "")
    pg.city("9750", "Zingem", "", "", "")
    pg.city("9770", "Kruishoutem", "", "", "")
    pg.city("9771", "Nokere", "", "", "")
    pg.city("9772", "Wannegem-Lede", "", "", "")
    pg.city("9790", "Elsegem", "", "", "")
    pg.city("9790", "Moregem", "", "", "")
    pg.city("9790", "Ooike (Wortegem-Petegem)", "", "", "")
    pg.city("9790", "Petegem-aan-de-Schelde", "", "", "")
    pg.city("9790", "Wortegem", "", "", "")
    pg.city("9790", "Wortegem-Petegem", "", "", "")
    pg.city("9800", "Astene", "", "", "")
    pg.city("9800", "Bachte-Maria-Leerne", "", "", "")
    pg.city("9800", "Deinze", "", "", "")
    pg.city("9800", "Gottem", "", "", "")
    pg.city("9800", "Grammene", "", "", "")
    pg.city("9800", "Meigem", "", "", "")
    pg.city("9800", "Petegem-aan-de-Leie", "", "", "")
    pg.city("9800", "Sint-Martens-Leerne", "", "", "")
    pg.city("9800", "Vinkt", "", "", "")
    pg.city("9800", "Wontergem", "", "", "")
    pg.city("9800", "Zeveren", "", "", "")
    pg.city("9810", "Eke", "", "", "")
    pg.city("9810", "Nazareth", "", "", "")
    pg.city("9820", "Bottelare", "", "", "")
    pg.city("9820", "Lemberge", "", "", "")
    pg.city("9820", "Melsen", "", "", "")
    pg.city("9820", "Merelbeke", "", "", "")
    pg.city("9820", "Munte", "", "", "")
    pg.city("9820", "Schelderode", "", "", "")
    pg.city("9830", "Laethem-Saint-Martin",
            "Sint-Martens-Latem", "Sint-Martens-Latem")
    pg.city("9831", "Deurle", "", "", "")
    pg.city("9840", "De Pinte", "", "", "")
    pg.city("9840", "Zevergem", "", "", "")
    pg.city("9850", "Hansbeke", "", "", "")
    pg.city("9850", "Landegem", "", "", "")
    pg.city("9850", "Merendree", "", "", "")
    pg.city("9850", "Nevele", "", "", "")
    pg.city("9850", "Poesele", "", "", "")
    pg.city("9850", "Vosselare", "", "", "")
    pg.city("9860", "Balegem", "", "", "")
    pg.city("9860", "Gijzenzele", "", "", "")
    pg.city("9860", "Landskouter", "", "", "")
    pg.city("9860", "Moortsele", "", "", "")
    pg.city("9860", "Oosterzele", "", "", "")
    pg.city("9860", "Scheldewindeke", "", "", "")
    pg.city("9870", "Machelen (O.-Vl.)", "", "", "")
    pg.city("9870", "Olsene", "", "", "")
    pg.city("9870", "Zulte", "", "", "")
    pg.city("9880", "Aalter", "", "", "")
    pg.city("9880", "Lotenhulle", "", "", "")
    pg.city("9880", "Poeke", "", "", "")
    pg.city("9881", "Bellem", "", "", "")
    pg.city("9890", "Asper", "", "", "")
    pg.city("9890", "Baaigem", "", "", "")
    pg.city("9890", "Dikkelvenne", "", "", "")
    pg.city("9890", "Gavere", "", "", "")
    pg.city("9890", "Semmerzake", "", "", "")
    pg.city("9890", "Vurste", "", "", "")
    pg.city("9900", "Eeklo", "", "", "")
    pg.city("9910", "Knesselare", "", "", "")
    pg.city("9910", "Ursel", "", "", "")
    pg.city("9920", "Lovendegem", "", "", "")
    pg.city("9921", "Vinderhoute", "", "", "")
    pg.city("9930", "Zomergem", "", "", "")
    pg.city("9931", "Oostwinkel", "", "", "")
    pg.city("9932", "Ronsele", "", "", "")
    pg.city("9940", "Ertvelde", "", "", "")
    pg.city("9940", "Evergem", "", "", "")
    pg.city("9940", "Kluizen", "", "", "")
    pg.city("9940", "Sleidinge", "", "", "")
    pg.city("9950", "Waarschoot", "", "", "")
    pg.city("9960", "Assenede", "", "", "")
    pg.city("9961", "Boekhoute", "", "", "")
    pg.city("9968", "Bassevelde", "", "", "")
    pg.city("9968", "Oosteeklo", "", "", "")
    pg.city("9970", "Kaprijke", "", "", "")
    pg.city("9971", "Lembeke", "", "", "")
    pg.city("9980", "Sint-Laureins", "", "", "")
    pg.city("9981", "Sint-Margriete", "", "", "")
    pg.city("9982", "Sint-Jan-in-Eremo", "", "", "")
    pg.city("9988", "Waterland-Oudeman", "", "", "")
    pg.city("9988", "Watervliet", "", "", "")
    pg.city("9990", "Maldegem", "", "", "")
    pg.city("9991", "Adegem", "", "", "")
    pg.city("9992", "Middelburg", "", "", "")

    
