# -*- coding: UTF-8 -*-
# Copyright 2014 Luc Saffre
# This file is part of the commondata library.
# The commondata library is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
# The commondata library is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with the commondata library; if not, see
# <http://www.gnu.org/licenses/>.


from __future__ import unicode_literals


def populate(pg):

    pg.set_args('fr nl de en')
    pg.province("Flandre de l'Ouest", "West-Vlaanderen", "Westflandern", "Flandre de l'Ouest")
    pg.set_args('zip_code fr nl de en')

    pg.city("8000", "Bruges", "Brugge", "Brügge", "Brügge")
    pg.city("8000", "Koolkerke", "", "", "")
    pg.city("8020", "Hertsberge", "", "", "")
    pg.city("8020", "Oostkamp", "", "", "")
    pg.city("8020", "Ruddervoorde", "", "", "")
    pg.city("8020", "Waardamme", "", "", "")
    pg.city("8200", "Sint-Andries", "", "", "")
    pg.city("8200", "Sint-Michiels", "", "", "")
    pg.city("8210", "Loppem", "", "", "")
    pg.city("8210", "Veldegem", "", "", "")
    pg.city("8210", "Zedelgem", "", "", "")
    pg.city("8211", "Aartrijke", "", "", "")
    pg.city("8300", "Knokke", "", "", "")
    pg.city("8300", "Knokke-Heist", "", "", "")
    pg.city("8300", "Westkapelle", "", "", "")
    pg.city("8301", "Heist-aan-Zee", "", "", "")
    pg.city("8301", "Ramskapelle (Knokke-Heist)", "", "", "")
    pg.city("8310", "Assebroek", "", "", "")
    pg.city("8310", "Sint-Kruis (Brugge)", "", "", "")
    pg.city("8340", "Damme", "", "", "")
    pg.city("8340", "Hoeke", "", "", "")
    pg.city("8340", "Lapscheure", "", "", "")
    pg.city("8340", "Moerkerke", "", "", "")
    pg.city("8340", "Oostkerke (Damme)", "", "", "")
    pg.city("8340", "Sijsele", "", "", "")
    pg.city("8370", "Blankenberge", "", "", "")
    pg.city("8370", "Uitkerke", "", "", "")
    pg.city("8377", "Houtave", "", "", "")
    pg.city("8377", "Meetkerke", "", "", "")
    pg.city("8377", "Nieuwmunster", "", "", "")
    pg.city("8377", "Zuienkerke", "", "", "")
    pg.city("8380", "Dudzele", "", "", "")
    pg.city("8380", "Lissewege", "", "", "")
    pg.city("8380", "Zeebrugge (Brugge)", "", "", "")
    pg.city("8400", "Ostende", "Oostende", "Ostende", "Ostende")
    pg.city("8400", "Stene", "", "", "")
    pg.city("8400", "Zandvoorde (Oostende)", "", "", "")
    pg.city("8420", "De Haan", "", "", "")
    pg.city("8420", "Klemskerke", "", "", "")
    pg.city("8420", "Wenduine", "", "", "")
    pg.city("8421", "Vlissegem", "", "", "")
    pg.city("8430", "Middelkerke", "", "", "")
    pg.city("8431", "Wilskerke", "", "", "")
    pg.city("8432", "Leffinge", "", "", "")
    pg.city("8433", "Mannekensvere", "", "", "")
    pg.city("8433", "Schore", "", "", "")
    pg.city("8433", "Slijpe", "", "", "")
    pg.city("8433", "St-Pieters-Kapelle(W.-Vl.)", "", "", "")
    pg.city("8434", "Lombardsijde", "", "", "")
    pg.city("8434", "Westende", "", "", "")
    pg.city("8450", "Bredene", "", "", "")
    pg.city("8460", "Ettelgem", "", "", "")
    pg.city("8460", "Oudenburg", "", "", "")
    pg.city("8460", "Roksem", "", "", "")
    pg.city("8460", "Westkerke", "", "", "")
    pg.city("8470", "Gistel", "", "", "")
    pg.city("8470", "Moere", "", "", "")
    pg.city("8470", "Snaaskerke", "", "", "")
    pg.city("8470", "Zevekote", "", "", "")
    pg.city("8480", "Bekegem", "", "", "")
    pg.city("8480", "Eernegem", "", "", "")
    pg.city("8480", "Ichtegem", "", "", "")
    pg.city("8490", "Jabbeke", "", "", "")
    pg.city("8490", "Snellegem", "", "", "")
    pg.city("8490", "Stalhille", "", "", "")
    pg.city("8490", "Varsenare", "", "", "")
    pg.city("8490", "Zerkegem", "", "", "")
    pg.city("8500", "Courtrai", "Kortrijk", "Kortrijk", "Kortrijk")
    pg.city("8501", "Bissegem", "", "", "")
    pg.city("8501", "Heule", "", "", "")
    pg.city("8510", "Bellegem", "", "", "")
    pg.city("8510", "Kooigem", "", "", "")
    pg.city("8510", "Marke (Kortrijk)", "", "", "")
    pg.city("8510", "Rollegem", "", "", "")
    pg.city("8511", "Aalbeke", "", "", "")
    pg.city("8520", "Kuurne", "", "", "")
    pg.city("8530", "Harelbeke", "", "", "")
    pg.city("8531", "Bavikhove", "", "", "")
    pg.city("8531", "Hulste", "", "", "")
    pg.city("8540", "Deerlijk", "", "", "")
    pg.city("8550", "Zwevegem", "", "", "")
    pg.city("8551", "Heestert", "", "", "")
    pg.city("8552", "Moen", "", "", "")
    pg.city("8553", "Otegem", "", "", "")
    pg.city("8554", "Sint-Denijs", "", "", "")
    pg.city("8560", "Gullegem", "", "", "")
    pg.city("8560", "Moorsele", "", "", "")
    pg.city("8560", "Wevelgem", "", "", "")
    pg.city("8570", "Anzegem", "", "", "")
    pg.city("8570", "Gijzelbrechtegem", "", "", "")
    pg.city("8570", "Ingooigem", "", "", "")
    pg.city("8570", "Vichte", "", "", "")
    pg.city("8572", "Kaster", "", "", "")
    pg.city("8573", "Tiegem", "", "", "")
    pg.city("8580", "Avelgem", "", "", "")
    pg.city("8581", "Kerkhove", "", "", "")
    pg.city("8581", "Waarmaarde", "", "", "")
    pg.city("8582", "Outrijve", "", "", "")
    pg.city("8583", "Bossuit", "", "", "")
    pg.city("8587", "Espierres-Helchin", "Spiere-Helkijn", "Spiere-Helkijn", "Spiere-Helkijn")
    pg.city("8587", "Espierres", "Spiere", "Spiere", "Spiere")
    pg.city("8587", "Helchin", "Helkijn", "Helkijn", "Helkijn")
    pg.city("8600", "Beerst", "", "", "")
    pg.city("8600", "Driekapellen", "", "", "")
    pg.city("8600", "Esen", "", "", "")
    pg.city("8600", "Kaaskerke", "", "", "")
    pg.city("8600", "Keiem", "", "", "")
    pg.city("8600", "Lampernisse", "", "", "")
    pg.city("8600", "Leke", "", "", "")
    pg.city("8600", "Nieuwkapelle", "", "", "")
    pg.city("8600", "Oostkerke (Diksmuide)", "", "", "")
    pg.city("8600", "Oudekapelle", "", "", "")
    pg.city("8600", "Pervijze", "", "", "")
    pg.city("8600", "Sint-Jacobs-Kapelle", "", "", "")
    pg.city("8600", "Stuivekenskerke", "", "", "")
    pg.city("8600", "Vladslo", "", "", "")
    pg.city("8600", "Woumen", "", "", "")
    pg.city("8600", "Dixmude", "Diksmuide", "Diksmuide", "Diksmuide")
    pg.city("8610", "Handzame", "", "", "")
    pg.city("8610", "Kortemark", "", "", "")
    pg.city("8610", "Werken", "", "", "")
    pg.city("8610", "Zarren", "", "", "")
    pg.city("8620", "Ramskapelle (Nieuwpoort)", "", "", "")
    pg.city("8620", "Sint-Joris (Nieuwpoort)", "", "", "")
    pg.city("8620", "Nieuport", "Nieuwpoort", "Nieuwpoort", "Nieuwpoort")
    pg.city("8630", "Avekapelle", "", "", "")
    pg.city("8630", "Booitshoeke", "", "", "")
    pg.city("8630", "Bulskamp", "", "", "")
    pg.city("8630", "De Moeren", "", "", "")
    pg.city("8630", "Eggewaartskapelle", "", "", "")
    pg.city("8630", "Houtem (W.-Vl.)", "", "", "")
    pg.city("8630", "Steenkerke (W.-VL.)", "", "", "")
    pg.city("8630", "Vinkem", "", "", "")
    pg.city("8630", "Wulveringem", "", "", "")
    pg.city("8630", "Zoutenaaie", "", "", "")
    pg.city("8630", "Furnes", "Veurne", "Veurne", "Veurne")
    pg.city("8640", "Oostvleteren", "", "", "")
    pg.city("8640", "Vleteren", "", "", "")
    pg.city("8640", "Westvleteren", "", "", "")
    pg.city("8640", "Woesten", "", "", "")
    pg.city("8647", "Lo", "", "", "")
    pg.city("8647", "Lo-Reninge", "", "", "")
    pg.city("8647", "Noordschote", "", "", "")
    pg.city("8647", "Pollinkhove", "", "", "")
    pg.city("8647", "Reninge", "", "", "")
    pg.city("8650", "Houthulst", "", "", "")
    pg.city("8650", "Klerken", "", "", "")
    pg.city("8650", "Merkem", "", "", "")
    pg.city("8660", "Adinkerke", "", "", "")
    pg.city("8660", "De Panne", "", "", "")
    pg.city("8670", "Oostduinkerke", "", "", "")
    pg.city("8670", "Wulpen", "", "", "")
    pg.city("8670", "Coxyde", "Koksijde", "Koksijde", "Koksijde")
    pg.city("8680", "Bovekerke", "", "", "")
    pg.city("8680", "Koekelare", "", "", "")
    pg.city("8680", "Zande", "", "", "")
    pg.city("8690", "Alveringem", "", "", "")
    pg.city("8690", "Hoogstade", "", "", "")
    pg.city("8690", "Oeren", "", "", "")
    pg.city("8690", "Sint-Rijkers", "", "", "")
    pg.city("8691", "Beveren-aan-den-Ijzer", "", "", "")
    pg.city("8691", "Gijverinkhove", "", "", "")
    pg.city("8691", "Izenberge", "", "", "")
    pg.city("8691", "Leisele", "", "", "")
    pg.city("8691", "Stavele", "", "", "")
    pg.city("8700", "Aarsele", "", "", "")
    pg.city("8700", "Kanegem", "", "", "")
    pg.city("8700", "Schuiferskapelle", "", "", "")
    pg.city("8700", "Tielt", "", "", "")
    pg.city("8710", "Ooigem", "", "", "")
    pg.city("8710", "Sint-Baafs-Vijve", "", "", "")
    pg.city("8710", "Wielsbeke", "", "", "")
    pg.city("8720", "Dentergem", "", "", "")
    pg.city("8720", "Markegem", "", "", "")
    pg.city("8720", "Oeselgem", "", "", "")
    pg.city("8720", "Wakken", "", "", "")
    pg.city("8730", "Beernem", "", "", "")
    pg.city("8730", "Oedelem", "", "", "")
    pg.city("8730", "Sint-Joris (Beernem)", "", "", "")
    pg.city("8740", "Egem", "", "", "")
    pg.city("8740", "Pittem", "", "", "")
    pg.city("8750", "Wingene", "", "", "")
    pg.city("8750", "Zwevezele", "", "", "")
    pg.city("8755", "Ruiselede", "", "", "")
    pg.city("8760", "Meulebeke", "", "", "")
    pg.city("8770", "Ingelmunster", "", "", "")
    pg.city("8780", "Oostrozebeke", "", "", "")
    pg.city("8790", "Waregem", "", "", "")
    pg.city("8791", "Beveren (Leie)", "", "", "")
    pg.city("8792", "Desselgem", "", "", "")
    pg.city("8793", "Sint-Eloois-Vijve", "", "", "")
    pg.city("8800", "Beveren (Roeselare)", "", "", "")
    pg.city("8800", "Oekene", "", "", "")
    pg.city("8800", "Roeselare", "", "", "")
    pg.city("8800", "Rumbeke", "", "", "")
    pg.city("8810", "Lichtervelde", "", "", "")
    pg.city("8820", "Torhout", "", "", "")
    pg.city("8830", "Gits", "", "", "")
    pg.city("8830", "Hooglede", "", "", "")
    pg.city("8840", "Oostnieuwkerke", "", "", "")
    pg.city("8840", "Staden", "", "", "")
    pg.city("8840", "Westrozebeke", "", "", "")
    pg.city("8850", "Ardooie", "", "", "")
    pg.city("8851", "Koolskamp", "", "", "")
    pg.city("8860", "Lendelede", "", "", "")
    pg.city("8870", "Emelgem", "", "", "")
    pg.city("8870", "Izegem", "", "", "")
    pg.city("8870", "Kachtem", "", "", "")
    pg.city("8880", "Ledegem", "", "", "")
    pg.city("8880", "Rollegem-Kapelle", "", "", "")
    pg.city("8880", "Sint-Eloois-Winkel", "", "", "")
    pg.city("8890", "Dadizele", "", "", "")
    pg.city("8890", "Moorslede", "", "", "")
    pg.city("8900", "Brielen", "", "", "")
    pg.city("8900", "Dikkebus", "", "", "")
    pg.city("8900", "Sint-Jan", "", "", "")
    pg.city("8900", "Ypres", "Ieper", "Ypres", "Ypres")
    pg.city("8902", "Hollebeke", "", "", "")
    pg.city("8902", "Voormezele", "", "", "")
    pg.city("8902", "Zillebeke", "", "", "")
    pg.city("8904", "Boezinge", "", "", "")
    pg.city("8904", "Zuidschote", "", "", "")
    pg.city("8906", "Elverdinge", "", "", "")
    pg.city("8908", "Vlamertinge", "", "", "")
    pg.city("8920", "Bikschote", "", "", "")
    pg.city("8920", "Langemark", "", "", "")
    pg.city("8920", "Langemark-Poelkapelle", "", "", "")
    pg.city("8920", "Poelkapelle", "", "", "")
    pg.city("8930", "Lauwe", "", "", "")
    pg.city("8930", "Rekkem", "", "", "")
    pg.city("8930", "Menin", "Menen", "Menen", "Menen")
    pg.city("8940", "Geluwe", "", "", "")
    pg.city("8940", "Wervik", "", "", "")
    pg.city("8950", "Nieuwkerke", "", "", "")
    pg.city("8951", "Dranouter", "", "", "")
    pg.city("8952", "Wulvergem", "", "", "")
    pg.city("8953", "Wijtschate", "", "", "")
    pg.city("8954", "Westouter", "", "", "")
    pg.city("8956", "Kemmel", "", "", "")
    pg.city("8957", "Mesen", "", "", "")
    pg.city("8957", "Messines", "", "", "")
    pg.city("8958", "Loker", "", "", "")
    pg.city("8970", "Poperinge", "", "", "")
    pg.city("8970", "Reningelst", "", "", "")
    pg.city("8972", "Krombeke", "", "", "")
    pg.city("8972", "Proven", "", "", "")
    pg.city("8972", "Roesbrugge-Haringe", "", "", "")
    pg.city("8978", "Watou", "", "", "")
    pg.city("8980", "Beselare", "", "", "")
    pg.city("8980", "Geluveld", "", "", "")
    pg.city("8980", "Passendale", "", "", "")
    pg.city("8980", "Zandvoorde (Zonnebeke)", "", "", "")
    pg.city("8980", "Zonnebeke", "", "", "")
